#
# spec file for package rubygem-domain_name
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-domain_name
Version:        0.6.20240107
Release:        1.5
%define mod_name domain_name
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/knu/ruby-domain_name
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Domain Name manipulation library for Ruby
License:        BSD-2-Clause AND BSD-3-Clause AND MPL-2.0

%description
This is a Domain Name manipulation library for Ruby.
It can also be used for cookie domain validation based on the Public
Suffix List.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 0.6.20240107, see bundled CHANGELOG.md
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- ## [v0.6.20231109](https://github.com/knu/ruby-domain_name/tree/v0.6.20231109) (2023-11-14)
  [Full Changelog](https://github.com/knu/ruby-domain_name/compare/v0.6.20190701...v0.6.20231109)
- Update the eTLD database to 2023-11-09 00:10:10 UTC
- Require Ruby >=2.7 and drop the dependency on unf
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.5.20190701
  see installed CHANGELOG.md
  [#]# [v0.5.20190701](https://github.com/knu/ruby-domain_name/tree/v0.5.20190701) (2019-07-05)
  [Full Changelog](https://github.com/knu/ruby-domain_name/compare/v0.5.20180417...v0.5.20190701)
  - Update the eTLD database to 2019-07-01 18:45:50 UTC
  [#]# [v0.5.20180417](https://github.com/knu/ruby-domain_name/tree/v0.5.20180417) (2018-04-17)
  [Full Changelog](https://github.com/knu/ruby-domain_name/compare/v0.5.20170404...v0.5.20180417)
  - Update the eTLD database to 2018-04-17T23:50:25Z
* Wed Apr 18 2018 factory-auto@kulow.org
- updated to version 0.5.20180417
  see installed CHANGELOG.md
* Thu Apr  6 2017 coolo@suse.com
- updated to version 0.5.20170404
  see installed CHANGELOG.md
* Thu Feb 23 2017 coolo@suse.com
- updated to version 0.5.20170223
  see installed CHANGELOG.md
  [#]# [v0.5.20161129](https://github.com/knu/ruby-domain_name/tree/v0.5.20170223) (2017-02-23)
  [Full Changelog](https://github.com/knu/ruby-domain_name/compare/v0.5.20161129...v0.5.20170223)
  - Update the eTLD database to 2017-02-23T00:52:11Z
* Wed Nov 30 2016 coolo@suse.com
- updated to version 0.5.20161129
  see installed CHANGELOG.md
  [#]# [v0.5.20161129](https://github.com/knu/ruby-domain_name/tree/v0.5.20161129) (2016-11-29)
  [Full Changelog](https://github.com/knu/ruby-domain_name/compare/v0.5.20160826...v0.5.20161129)
  - Update the eTLD database to 2016-11-29T01:22:03Z
  [#]# [v0.5.20161021](https://github.com/knu/ruby-domain_name/tree/v0.5.20161021) (2016-10-27)
  [Full Changelog](https://github.com/knu/ruby-domain_name/compare/v0.5.20160826...v0.5.20161021)
  - Update the eTLD database to 2016-10-21T20:52:10Z
* Fri Oct 28 2016 coolo@suse.com
- updated to version 0.5.20161021
  see installed CHANGELOG.md
  [#]# [v0.5.20160826](https://github.com/knu/ruby-domain_name/tree/v0.5.20160826) (2016-09-01)
  [Full Changelog](https://github.com/knu/ruby-domain_name/compare/v0.5.20160615...v0.5.20160826)
  - Update the license for the eTLD database
  - Update the eTLD database to 2016-08-26T16:52:03Z
* Fri Sep  2 2016 coolo@suse.com
- updated to version 0.5.20160826
  no changelog found
* Fri Jun 17 2016 coolo@suse.com
- updated to version 0.5.20160615
  no changelog found
* Fri Mar 18 2016 coolo@suse.com
- updated to version 0.5.20160310
  no changelog found
* Thu Mar 10 2016 coolo@suse.com
- updated to version 0.5.20160309
  no changelog found
* Wed Feb 24 2016 coolo@suse.com
- updated to version 0.5.20160216
  no changelog found
* Sat Jan 30 2016 coolo@suse.com
- updated to version 0.5.20160128
  no changelog found
* Wed Oct  7 2015 coolo@suse.com
- updated to version 0.5.25
  no changelog found
* Fri Sep 18 2015 fcastelli@suse.com
- Fix license, required to build on SLE12
* Thu Apr 16 2015 coolo@suse.com
- updated to version 0.5.24
* Tue Feb 10 2015 coolo@suse.com
- updated to version 0.5.23
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Apr  6 2014 coolo@suse.com
- updated to version 0.5.18
* Sun Mar 23 2014 coolo@suse.com
- updated to version 0.5.17
* Sat Feb 22 2014 coolo@suse.com
- updated to version 0.5.16
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.5.15
* Sun Oct 20 2013 coolo@suse.com
- updated to version 0.5.14
* Mon Aug 26 2013 coolo@suse.com
- updated to version 0.5.13
* Wed Jul 31 2013 coolo@suse.com
- updated to version 0.5.12
* Tue Jun  4 2013 coolo@suse.com
- updated to version 0.5.11
* Tue Mar 19 2013 coolo@suse.com
- updated to version 0.5.9
* Thu Jan 24 2013 coolo@suse.com
- updated to version 0.5.7
* Fri Dec  7 2012 coolo@suse.com
- updated to version 0.5.6
* Sun Sep 23 2012 coolo@suse.com
- updated to version 0.5.4
* Fri Jul 27 2012 coolo@suse.com
- initial package
